%define with_indilib 1
%define indilib_version 0.8
%define eigen_version 2.0.3
%define xplanet_version 1.2.1
%define rel 2

Name: kstars
Summary: A Desktop Planetarium
Version: 4.8.2
Release: %mkrel %{rel}
Group: Sciences/Astronomy
License: GPLv2 GFDL
URL: http://www.kde.org/applications/education/kstars/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(eigen2) >= %eigen_version
BuildRequires: pkgconfig(cfitsio)
BuildRequires: xplanet >= %xplanet_version
BuildRequires: libfli-devel

%if %with_indilib
BuildRequires: pkgconfig(libindi) >= %{indilib_version}
Requires: indilib >= %{indilib_version}
%endif

Suggests: kstars-handbook

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

%description
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%files -f %name.lang 
%_kde_appsdir/kstars
%_kde_bindir/kstars
%_kde_libdir/libhtmesh.a
%_kde_iconsdir/*/*/apps/kstars.*
%_kde_datadir/applications/kde4/kstars.desktop
%_kde_datadir/config.kcfg/kstars.kcfg
%_kde_datadir/config/kstars.knsrc
# Don't include html doc here
%exclude %_kde_docdir/HTML

#------------------------------------------------------------------------------

%package handbook
Summary: KStars Handbook
BuildArch: noarch
Conflicts: kstars < 4.8.0-2

%description handbook
This package provides KStars Handbook.

%files handbook -f kstars.lang 
%doc COPYING COPYING.DOC README README.ephemerides README.customize README.images README.planetmath README.timekeeping AUTHORS
#------------------------------------------------

%prep
%setup -q 
%apply_patches


%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build
%find_lang %{name} --with-html


%changelog

* Wed Apr 04 2012 fwang <fwang> 4.8.2-2.mga2
+ Revision: 228413
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221500
- New upstream tarball

* Mon Feb 27 2012 juancho <juancho> 4.8.0-2.mga2
+ Revision: 215483
- Split handbook files

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198264
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190987
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186155
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182154
- Update tarball to KDE SC 4.7.90
- Update URL

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176493
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161382
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151974
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140665
- Update tarball to KDE SC 4.7.1
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- fix license
- use pkgconfig() for buildrequires
- remove %%defattr

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122499
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 4.6.90-1.mga2
+ Revision: 115553
- Enable libindi support
- imported package kstars

